pre,
code,
pre tt {
  font-family: "Fira Code", monospace;
}

pre {
  -moz-tab-size: 4;
  -o-tab-size: 4;
  tab-size: 4;

  padding: 0.7em 1.1em;
  overflow: auto;
  font-size: 0.9em;
  line-height: 1.5;
  letter-spacing: normal;
  white-space: pre;
  background: var(--midnightblue);
  border-radius: 4px;
  box-shadow: var(--secondary-shadow);

  code {
    padding: 0;
    margin: 0;
    background: transparent;
  }
}

code {
  background: var(--midnightblue);
  border-radius: 3px;
  padding: 2px 4px;
  margin: 0 1px;
  word-wrap: break-word;
  letter-spacing: normal;
}

/* Error */
.chroma .err {
  color: #960050;
  background-color: #1e0010;
}
/* LineTableTD */
.chroma .lntd {
  vertical-align: top;
  padding: 0;
  margin: 0;
  border: 0;
}
/* LineTable */
.chroma .lntable {
  border-spacing: 0;
  padding: 0;
  margin: 0;
  border: 0;
  width: auto;
  overflow: auto;
  display: block;
}
/* LineHighlight */
.chroma .hl {
  display: block;
  width: 100%;
  background-color: #ffffcc;
}
/* LineNumbersTable */
.chroma .lnt {
  margin-right: 0.4em;
  padding: 0 0.4em 0 0.4em;
}
/* LineNumbers */
.chroma .ln {
  margin-right: 0.4em;
  padding: 0 0.4em 0 0.4em;
}
/* Keyword */
.chroma .k {
  color: #66d9ef;
}
/* KeywordConstant */
.chroma .kc {
  color: #66d9ef;
}
/* KeywordDeclaration */
.chroma .kd {
  color: #66d9ef;
}
/* KeywordNamespace */
.chroma .kn {
  color: #f92672;
}
/* KeywordPseudo */
.chroma .kp {
  color: #66d9ef;
}
/* KeywordReserved */
.chroma .kr {
  color: #66d9ef;
}
/* KeywordType */
.chroma .kt {
  color: #66d9ef;
}
/* NameAttribute */
.chroma .na {
  color: #a6e22e;
}
/* NameClass */
.chroma .nc {
  color: #a6e22e;
}
/* NameConstant */
.chroma .no {
  color: #66d9ef;
}
/* NameDecorator */
.chroma .nd {
  color: #a6e22e;
}
/* NameException */
.chroma .ne {
  color: #a6e22e;
}
/* NameFunction */
.chroma .nf {
  color: #a6e22e;
}
/* NameOther */
.chroma .nx {
  color: #a6e22e;
}
/* NameTag */
.chroma .nt {
  color: #f92672;
}
/* Literal */
.chroma .l {
  color: #ae81ff;
}
/* LiteralDate */
.chroma .ld {
  color: #e6db74;
}
/* LiteralString */
.chroma .s {
  color: #e6db74;
}
/* LiteralStringAffix */
.chroma .sa {
  color: #e6db74;
}
/* LiteralStringBacktick */
.chroma .sb {
  color: #e6db74;
}
/* LiteralStringChar */
.chroma .sc {
  color: #e6db74;
}
/* LiteralStringDelimiter */
.chroma .dl {
  color: #e6db74;
}
/* LiteralStringDoc */
.chroma .sd {
  color: #e6db74;
}
/* LiteralStringDouble */
.chroma .s2 {
  color: #e6db74;
}
/* LiteralStringEscape */
.chroma .se {
  color: #ae81ff;
}
/* LiteralStringHeredoc */
.chroma .sh {
  color: #e6db74;
}
/* LiteralStringInterpol */
.chroma .si {
  color: #e6db74;
}
/* LiteralStringOther */
.chroma .sx {
  color: #e6db74;
}
/* LiteralStringRegex */
.chroma .sr {
  color: #e6db74;
}
/* LiteralStringSingle */
.chroma .s1 {
  color: #e6db74;
}
/* LiteralStringSymbol */
.chroma .ss {
  color: #e6db74;
}
/* LiteralNumber */
.chroma .m {
  color: #ae81ff;
}
/* LiteralNumberBin */
.chroma .mb {
  color: #ae81ff;
}
/* LiteralNumberFloat */
.chroma .mf {
  color: #ae81ff;
}
/* LiteralNumberHex */
.chroma .mh {
  color: #ae81ff;
}
/* LiteralNumberInteger */
.chroma .mi {
  color: #ae81ff;
}
/* LiteralNumberIntegerLong */
.chroma .il {
  color: #ae81ff;
}
/* LiteralNumberOct */
.chroma .mo {
  color: #ae81ff;
}
/* Operator */
.chroma .o {
  color: #f92672;
}
/* OperatorWord */
.chroma .ow {
  color: #f92672;
}
/* Comment */
.chroma .c {
  color: #c0bbb2;
}
/* CommentHashbang */
.chroma .ch {
  color: #c0bbb2;
}
/* CommentMultiline */
.chroma .cm {
  color: #c0bbb2;
}
/* CommentSingle */
.chroma .c1 {
  color: #c0bbb2;
}
/* CommentSpecial */
.chroma .cs {
  color: #c0bbb2;
}
/* CommentPreproc */
.chroma .cp {
  color: #c0bbb2;
}
/* CommentPreprocFile */
.chroma .cpf {
  color: #c0bbb2;
}
/* GenericDeleted */
.chroma .gd {
  color: #f92672;
}
/* GenericEmph */
.chroma .ge {
  font-style: italic;
}
/* GenericInserted */
.chroma .gi {
  color: #a6e22e;
}
/* GenericStrong */
.chroma .gs {
  font-weight: bold;
}
/* GenericSubheading */
.chroma .gu {
  color: #c0bbb2;
}
